﻿using System;
using System.Globalization;
using System.IO;
using System.Reflection;
using System.Threading;
using Infragistics.Documents.Excel;

namespace InfragisticsXlsTest
{
	public class Program
	{
		static void Main(string[] args)
		{
			Stream stream = Assembly.GetExecutingAssembly().GetManifestResourceStream("InfragisticsXlsTest.test.xls");
			Workbook workbook = Workbook.Load(stream);
			workbook.Precision = Precision.UseRealCellValues;
			Worksheet xlsWorksheet = workbook.Worksheets["Tabelle1"];
			if (stream != null)
			{
				stream.Flush();
				stream.Close();
			}

			WorksheetCell cell = xlsWorksheet.GetCell("A2");
			Console.WriteLine("Cell Value: " + cell.Value);
			Console.WriteLine("Expected cell value: 1,67");
			Console.ReadLine();
		}
	}

		
}
